Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Ive been using Mint, and more recently Ubuntu for over a year now. Ive learned a lot, and know my way around most things. However, Ive yet to learn to compile and install things. This wouldnt be much of a problem if the guides for just about everything in .tar.gz form always went through. I cant for the life of me find a good guide on how to compile and install things in a tarball, and Id appreciate a good, easy, explanatory guide that will finally solve this for me.

Also, Ive been trying to install SmoothTasks (Or at least I believe its called)- Its a windows 7-like taskbar for kde. I cant figure how to install it, and would appreciate the help. I know its an easy question, but it would help me very very much to finally understand tarball installation, and how to finally pull one through. Thanks.

share|improve this question
add comment

1 Answer

Repositories

Many applications are in the official repositories. SmoothTasks is a plasma widget: http://packages.ubuntu.com/search?keywords=plasma-widget-smooth-tasks&searchon=names&suite=oneiric&section=all

PPA

https://launchpad.net/ubuntu/+ppas

Searching the plasma-widget-smooth-tasks: https://launchpad.net/ubuntu/+ppas?name_filter=plasma-widget-smooth-tasks

Building from the sources

A start point: https://help.ubuntu.com/community/CompilingSoftware or https://help.ubuntu.com/community/CompilingEasyHowTo

Generic plasmoid build

From a plasmoid README file:

cd /where/your/applet/is/decompressed

mkdir build

cd build

cmake -DCMAKE_INSTALL_PREFIX='kde4-config --prefix' ..

make

sudo make install

Different KDE versions. KDE 4.7 vs KDE 4.8

http://www.kubuntuforums.net/showthread.php?56838-SOLVED-When-plasma-widget-smooth-tasks-will-be-available

Build depencies

Q:

I tried installing on KDE 4.7, then on KDE 4.8. Both give me missing dependency reports (if you need to see them I'll post them)

A:

The base package for the building:

  • build-essential

If you have this package installed, you only need to install whatever a package specifies as its build-time dependencies to build the package.

From the official Ubuntu package: plasma-widget-smooth-tasks/debian/control; Build-Depends:

  • gettext
  • kde-workspace-dev
  • libx11-dev
  • cmake
share|improve this answer
    
I tried installing on KDE 4.7, then on KDE 4.8. Both give me missing dependency reports (if you need to see them I'll post them) every time I try installing, and I've yet to find a solution to this. Anyone have any ideas?? –  Robert Sederholm Mar 7 '12 at 18:39
    
I'd really appreciate some help, if possible. –  Robert Sederholm Mar 10 '12 at 17:25
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.